Commit ed7df72e authored by Chris Johnson's avatar Chris Johnson

Issue #2113611 by mstef: [Fatal error] hook_requirements() not returning anything

parent da74c2a2
<?php
/**
* Implementation of hook_requirements().
*/
function context_requirements($phase) {
$requirements = array();
$t = get_t();
// Test PHP version
if (!function_exists('json_decode')) {
$requirements['php_context']['description'] = $t('Your PHP installation is too old. Context requires at least PHP %version or installation of the json library (%path)', array('%version' => '5.1.0', '%path' => 'http://pecl.php.net/package/json'));
$requirements['php_context']['severity'] = REQUIREMENT_ERROR;
}
}
/**
* Implementation of hook_install().
*/
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment